package com.yidianling.home

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.yidianling.home.model.MeditationTypeModel

class MeditationViewPagerAdapter(private val context: Context, private val data:
        List<List<MeditationTypeModel>>)
    :RecyclerView.Adapter<MeditationViewPagerAdapter.MeditationViewPagerViewHolder>() {

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): MeditationViewPagerViewHolder {
        return MeditationViewPagerViewHolder(LayoutInflater
            .from(context).inflate(R.layout.layout_meditation_entrance,parent,false))
    }

    override fun onBindViewHolder(holder: MeditationViewPagerViewHolder, position: Int) {
        holder.rv?.also { rv->
            rv.layoutManager = LinearLayoutManager(context,LinearLayoutManager.HORIZONTAL,false)
            rv.adapter = MeditationTypeAdapter(context,data[position])
        }
    }

    override fun getItemCount(): Int {
        return data.size
    }

    inner class MeditationViewPagerViewHolder(itemView: View):RecyclerView.ViewHolder(itemView){
        val rv:RecyclerView? = itemView.findViewById(R.id.rv_meditation_type)

    }

}

